# Awesome ChatGPT

[![Awesome](https://awesome.re/badge.svg)](https://awesome.re) [![English badge](https://img.shields.io/badge/%E8%8B%B1%E6%96%87-English-blue)](./README.md) [![中文版 badge](https://img.shields.io/badge/%E4%B8%AD%E6%96%87-Traditional%20Chinese-blue)](./README-zh-TW.md)

> An awesome & curated list of best recources, tools, applications, usages of ChatGPT.

> 另有中文版本在此：[中文版](./README-zh-TW.md)

> **Warning**
>
> Please note that currently, all the resources listed below are **Unofficial** (except **[Official Resource](#official-resource)** section).
>
> Use them with cautious.

## Table of Contents

- [Official Resource](#official-resource)
- [Use ChatGPT Anywhere](#use-chatgpt-anywhere)
    - [Browser Extensions](#browser-extensions)
    - [Desktop Applications](#desktop-applications)
    - [Editors](#editors)
    - [Launcher Extensions](#launcher-extensions)
    - [Chatbots](#chatbots)
    - [Reverse Proxy](#reverse-proxy)
- [Extend ChatGPT Feature](#extend-chatgpt-feature)
- [Applications](#applications)
- [Prompts](#prompts)
- [Development Tools (API, SDK)](#development-tools-api-sdk)
- [Experiments](#experiments)
- [Contribution](#contribution)

---

## Official Resource

- [ChatGPT website](https://chat.openai.com/)
- [ChatGPT launch blog post](https://openai.com/blog/chatgpt/)

## Use ChatGPT Anywhere

### Browser Extensions

- [ChatGPT for Google](https://chrome.google.com/webstore/detail/chatgpt-for-google/jgjaeacdkonaoafenlfkkkmbaopkbilf): Chrome/Edge/Firefox Browser extension. Display ChatGPT response alongside Google Search results. ([Firefox Add-on](https://addons.mozilla.org/en-US/firefox/addon/chatgpt-for-google/), [source code](https://github.com/wong2/chat-gpt-google-extension))
- [ChatGPT Extension](https://chrome.google.com/webstore/detail/chatgpt-chrome-extension/cdjifpfganmhoojfclednjdnnpooaojb): Chrome Extension that lets you quickly access OpenAI's ChatGPT on the web. ([source code](https://github.com/kazuki-sf/ChatGPT_Extension))
- [ChatGPT Everywhere](https://github.com/gragland/chatgpt-everywhere): Chrome extension that adds ChatGPT to every text box on the internet. ([demo](https://twitter.com/gabe_ragland/status/1599466486422470656))

### Desktop Applications

- [ChatGPT Desktop App](https://github.com/sonnylazuardi/chatgpt-desktop): Windows/MacOS desktop menubar app using tauri & rust.
- [chatgpt-mac](https://github.com/vincelwt/chatgpt-mac): MacOS menubar app.

### Editors

- [ChatGPT for VSCode](https://github.com/mpociot/chatgpt-vscode): VSCode extension. ([demo](https://twitter.com/marcelpociot/status/1599180144551526400))
- [intellij-chatgpt](https://github.com/LiLittleCat/intellij-chatgpt): A ChatGPT plugin for JetBrains IDEs.
- [chatgpt.vim](https://github.com/terror/chatgpt.nvim): Neovim plugin that lets you query ChatGPT inside a Neovim buffer.
- [docGPT](https://github.com/cesarhuret/docGPT): ChatGPT directly within Google Docs as an Editor Add-on.

### Launcher Extensions

- [ChatGPT Raycast extension](https://github.com/abielzulio/chatgpt-raycast): Run ChatGPT through Raycast extension.

### Chatbots

- [Twitter/@ChatGPTBot](https://twitter.com/ChatGPTBot): Twitter bot. ([source code](https://github.com/transitive-bullshit/chatgpt-twitter-bot))
- [ChatGPT ProBot](https://github.com/oceanlvr/ChatGPTBot): GitHub APP. Type `/chatgpt` to chat with ChatGPTBot.
- [chatgpt-telegram](https://github.com/m1guelpf/chatgpt-telegram): Run your own GPTChat Telegram bot, with a single command.
- [ChatGPT Telegram Bot in AWS Lambda](https://github.com/franalgaba/chatgpt-telegram-bot-serverless): ChatGPT Telegram Bot running in AWS Lambda. Supports voice messages & markdown rendering.
- [chatbot-telegram](https://github.com/Ciyou/chatbot-telegram): ChatGPT Telegram Bot powered by `Deno` and `TypeScript`.
- [chatGPT-discord-bot](https://github.com/Zero6992/chatGPT-discord-bot): Integrate your own Discord bot using chatGPT.
- [wechat-chatgpt](https://github.com/fuergaosi233/wechat-chatgpt): Use ChatGPT On Wechat via wechaty.
- [ChatGPT LINE Bot](https://github.com/isdaviddong/chatGPTLineBot) (Chinese content): Build your own ChatGPT LINE bot.
- [gpt-ai-assistant](https://github.com/memochou1993/gpt-ai-assistant) (Chinese content): Run your own GPT LINE bot on Vercel in 10 minutes.
- [chatgpt-for-chatbot-feishu](https://github.com/go-zoox/chatgpt-for-chatbot-feishu): Connect ChatGPT with Feishu Chat Bot quickly.

### Reverse Proxy

- [gpt.chatapi.art](https://gpt.chatapi.art/): ChatGPT reverse proxy site, intended for people with restricted access to areas by OpenAI.

## Extend ChatGPT Feature

- [ShareGPT](https://sharegpt.com/): Share your wildest ChatGPT conversations with one click. ([demo](https://twitter.com/steventey/status/1599816553490366464))
- [ChatGPT export to PNG/PDF/HTML](https://github.com/liady/ChatGPT-pdf): Chrome extension for downloading your ChatGPT history to PNG, PDF or a sharable link.
- [ChatGPT Advanced](https://github.com/qunash/chatgpt-advanced): Chrome extension that augments your ChatGPT prompts with web results.
- [TampermonkeyUserscripts/ChatGPTVoiceInput](https://github.com/doggy8088/TampermonkeyUserscripts/blob/main/src/ChatGPTVoiceInput.user.js?fbclid=IwAR2sYE_CIOTdhNlRqaYwJ3eh-foa4O7ZHukYcc1dXLcU8IHLIDOt52gdAdQ) (Chinese content): Tampermonkey script. ChatGPT voice input interface (supports English/Chinese/Japanese/Korean).

## Applications

- [summarize.site](https://chrome.google.com/webstore/detail/summarize/lmhkmibdclhibdooglianggbnhcbcjeh): Chrome extension to summarize web page content.
- [commitgpt](https://github.com/RomanHotsiy/commitgpt): Automatically generate commit messages using ChatGPT.
- [chatgpt-action](https://github.com/kxxt/chatgpt-action): Github Action to let ChatGPT review PRs for you.
- [StackExplain](https://github.com/shobrook/stackexplain): CLI tool to explain your error message with ChatGPT.
- [ChatMind](https://www.chatmind.tech/): Generating and Modifying Mind Maps through AI Dialogue.

## Prompts

- [showGPT](https://showgpt.co/): Website with curated list of best prompts, and you can submit your own easily.
- [Awesome ChatGPT Prompts](https://github.com/f/awesome-chatgpt-prompts): ChatGPT prompts that works well.
- [awesome-chatgpt](https://github.com/saharmor/awesome-chatgpt): Posts & thoughts about prompting ChatGPT for different usages
- [Useful ChatGPT Prompts](https://www.explainthis.io/en/chatgpt): A comprehensive list of useful ChatGPT prompts to help you get the most out of ChatGPT.

## Development Tools (API, SDK)

- [PyChatGPT](https://github.com/rawandahmad698/PyChatGPT) (Python): Lightweight, TLS-Based ChatGPT API on your CLI without requiring a browser or access token.
- [pip/revChatGPT](https://github.com/acheong08/ChatGPT) (Python): Lightweight package for interacting with ChatGPT's API by OpenAI. Uses reverse engineered official API.
- [npm/chatgpt](https://github.com/transitive-bullshit/chatgpt-api) (Node.js): Node.js client for the unofficial ChatGPT API.
- [ChatGPT API Dart](https://github.com/MisterJimson/chatgpt_api_dart) (Dart): Dart client for the unofficial ChatGPT API.
- [go-chatgpt](https://github.com/abhayptp/go-chatgpt) (Golang): An unofficial ChatGPT client in Golang.

## Experiments

- [gptlang](https://github.com/forrestchang/gptlang): Experiment to see if we can create a programming language in ChatGPT.

---

## Contribution

If you created or found any awesome resource about ChatGPT, feel free to create issues or PRs to contribute to this list!
